Bug 55535

Summary: incorrect check state parametr
Product: Apache httpd-2 Reporter: Vahagn <vvvaagn>
Component: mod_mime_magicAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.25   
Target Milestone: ---   
Hardware: PC   
OS: Windows NT   

Description Vahagn 2013-09-08 07:50:26 UTC
if (state == rsl_subtype || state == rsl_encoding ||
        state == rsl_encoding) {// rsk_encoding double check
        char *tmp;
        tmp = rsl_strdup(r, type_frag, type_pos, type_len);
        /* XXX: this could be done at config time I'm sure... but I'm
         * confused by all this magic_rsl stuff. -djg */
        ap_content_type_tolower(tmp);
        ap_set_content_type(r, tmp);
    }
Comment 1 Eric Covener 2013-09-08 08:51:25 UTC
You'll have to elaborate.
Comment 2 Vahagn 2013-09-08 09:05:02 UTC
possible error in the verification of the parameter "state". 
state == rsl_encoding || state == rsl_encoding
Comment 3 Vahagn 2013-09-08 09:56:26 UTC
in line 787, mod_mime_magic.c apache 2.2.25
Comment 4 Jeff Trawick 2013-09-10 11:48:50 UTC
Are you noting the sloppiness of making the same check twice, or do you think that one of the checks is supposed to be checking something else?
Comment 5 William A. Rowe Jr. 2018-11-07 21:08:49 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.